Gestionnaires de notifications
GET https://serpmax.ru/api/notification-handlers/
curl --request GET \
--url 'https://serpmax.ru/api/notification-handlers/' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://serpmax.ru/api/notification-handlers/' \
--header 'Authorization: Bearer {api_key}' \
| Paramètres | Détails | Description |
|---|---|---|
| search | Optionnel Chaîne | La chaîne de recherche. |
| search_by | Optionnel Chaîne | Le champ sur lequel porte la recherche. Les valeurs autorisées sont : name. |
| is_enabled | Optionnel Booléen | |
| type | Optionnel Chaîne | Le champ sur lequel porte la recherche. Les valeurs autorisées sont : email, webhook, slack, discord, telegram, microsoft_teams. |
| datetime_field | Optionnel Chaîne | Valeurs autorisées : datetime, last_datetime |
| datetime_start | Optionnel Chaîne | Filtrer les résultats à partir de cette date/heure. Format Y-m-d H:i:s. |
| datetime_end | Optionnel Chaîne | Filtrer les résultats jusqu'à cette date/heure. Format Y-m-d H:i:s. |
| order_by | Optionnel Chaîne | Le champ de tri des résultats. Les valeurs autorisées sont : notification_handler_id, datetime, last_datetime, name. |
| order_type | Optionnel Chaîne | L'ordre des résultats. Les valeurs autorisées sont : ASC pour l'ordre croissant, et DESC pour l'ordre décroissant. |
| page | Optionnel Entier | Le numéro de la page dont vous voulez les résultats. Par défaut 1. |
| results_per_page | Optionnel Entier | Le nombre de résultats par page. Les valeurs autorisées sont : 10, 25, 50, 100, 250, 500, 1000. Par défaut 25. |
{
"data": [
{
"id": 1,
"type": "email",
"name": "Work email",
"settings": {
"email": "hey@example.com"
},
"is_enabled": true,
"last_datetime": null,
"datetime": "2026-06-08 18:50:08",
}
],
"meta": {
"page": 1,
"results_per_page": 25,
"total": 1,
"total_pages": 1
},
"links": {
"first": "https://serpmax.ru/api/notification-handlers?page=1",
"last": "https://serpmax.ru/api/notification-handlers?page=1",
"next": null,
"prev": null,
"self": "https://serpmax.ru/api/notification-handlers?page=1"
}
}
GET https://serpmax.ru/api/notification-handlers/{notification_handler_id}
curl --request GET \
--url 'https://serpmax.ru/api/notification-handlers/{notification_handler_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://serpmax.ru/api/notification-handlers/{notification_handler_id}' \
--header 'Authorization: Bearer {api_key}' \
{
"data": {
"id": 1,
"type": "email",
"name": "Work email",
"settings": {
"email": "hey@example.com"
},
"is_enabled": true,
"last_datetime": null,
"datetime": "2026-06-08 18:50:08",
}
}
POST https://serpmax.ru/api/notification-handlers
| Paramètres | Détails | Description |
|---|---|---|
| name | Requis Chaîne | - |
| type | Requis Chaîne | Valeurs autorisées : email, webhook, slack, discord, telegram, microsoft_teams |
| Optionnel Chaîne | Disponible lorsque : type = email Adresse e-mail | |
| webhook | Optionnel Chaîne | Disponible lorsque : type = webhook URL du webhook |
| slack | Optionnel Chaîne | Disponible lorsque : type = slack URL du webhook Slack |
| discord | Optionnel Chaîne | Disponible lorsque : type = discord URL du webhook Discord |
| telegram | Optionnel Chaîne | Disponible lorsque : type = telegram Token API du bot Telegram |
| telegram_chat_id | Optionnel Chaîne | Disponible lorsque : type = telegram ID de chat Telegram |
| microsoft_teams | Optionnel Chaîne | Disponible lorsque : type = microsoft_teams URL du webhook Microsoft Teams |
curl --request POST \
--url 'https://serpmax.ru/api/notification-handlers' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example' \
--form 'type=email' \
--form 'email=hello@example.com' \
--url 'https://serpmax.ru/api/notification-handlers' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example' \
--form 'type=email' \
--form 'email=hello@example.com' \
{
"data": {
"id": 1
}
}
POST https://serpmax.ru/api/notification-handlers/{notification_handler_id}
| Paramètres | Détails | Description |
|---|---|---|
| name | Optionnel Chaîne | - |
| type | Optionnel Chaîne | Valeurs autorisées : email, webhook, slack, discord, telegram, microsoft_teams |
| Optionnel Chaîne | Disponible lorsque : type = email Adresse e-mail | |
| webhook | Optionnel Chaîne | Disponible lorsque : type = webhook URL du webhook |
| slack | Optionnel Chaîne | Disponible lorsque : type = slack URL du webhook Slack |
| discord | Optionnel Chaîne | Disponible lorsque : type = discord URL du webhook Discord |
| telegram | Optionnel Chaîne | Disponible lorsque : type = telegram Token API du bot Telegram |
| telegram_chat_id | Optionnel Chaîne | Disponible lorsque : type = telegram ID de chat Telegram |
| microsoft_teams | Optionnel Chaîne | Disponible lorsque : type = microsoft_teams URL du webhook Microsoft Teams |
| is_enabled | Optionnel Booléen | - |
curl --request POST \
--url 'https://serpmax.ru/api/notification-handlers/{notification_handler_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example new name' \
--form 'is_enabled=1' \
--url 'https://serpmax.ru/api/notification-handlers/{notification_handler_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example new name' \
--form 'is_enabled=1' \
{
"data": {
"id": 1
}
}
DELETE https://serpmax.ru/api/notification-handlers/{notification_handler_id}
curl --request DELETE \
--url 'https://serpmax.ru/api/notification-handlers/{notification_handler_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://serpmax.ru/api/notification-handlers/{notification_handler_id}' \
--header 'Authorization: Bearer {api_key}' \